id: upgrade_d7_node_story_bio_paragraph
migration_group: migrate_drupal_7_geo
label: Body paragraph
source:
  plugin: geod7_author
  constants:
    status: 1
    format: full_html
process:
  nid:
    plugin: migration_lookup
    source: field_author_value
    migration: upgrade_d7_node_story_author
  uid:
    - plugin: get
      source: uid
  status: constants/status
  parent_type: "node"
  field_text: bio
  field_text/format: constants/format
#    -
#      plugin: sub_process
#      source: bio
#      process:
#        value: value
#        format:
#          plugin: default_value
#          default_value: 'full_html'
destination:
  plugin: 'entity_reference_revisions:paragraph'
  default_bundle: text
dependencies:
  enforced:
    module:
      - paragraphs
migration_dependencies:
  required:
    - upgrade_d7_user
